@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/


/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
　.wp-block-cover {
    background-size: contain; /* 画像全体を表示 */
    background-position: center; /* 中央寄せ */
  }
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
　.wp-block-cover {
    background-size: contain; /* 画像全体を表示 */
    background-position: center; /* 中央寄せ */
  }
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
　.wp-block-cover {
    background-size: contain; /* 画像全体を表示 */
    background-position: center; /* 中央寄せ */
  }
}


/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/* Cocoon見出しデザインのリセット */
h2.wp-block-heading,
h3.wp-block-heading,
h4.wp-block-heading,
h5.wp-block-heading,
h6.wp-block-heading {
  background: none; /* 背景色を削除 */
  border: none;     /* 枠線を削除 */
  border-radius: 0; /* 角丸を削除 */
}


/*H2見出し*/
h2.wp-block-heading {
   position: relative;
   background-color:#9daeb4;
   color:#fff;
}
h2.wp-block-heading:before,
h2.wp-block-heading:after {
   position: absolute;
   left: 0;
   width: 100%;
   content: '';
   border-top: 1px solid #fff; /*ライン：太さ・実線・色 */
}
h2.wp-block-heading:before {
   top: 3px;
}
h2.wp-block-heading:after {
   bottom: 3px;
}

/*H3見出し*/
main h3.wp-block-heading {
   background:none;
   color: #333;
   position: relative;
   padding: .3em 1em 1em 40px;
  }

main h3.wp-block-heading::before,
main h3.wp-block-heading::after{
   position: absolute;
   content: '';
   border-radius: 100%;
}

main h3.wp-block-heading::before {
   top: .6em;
   left: .2em;
   z-index: 2;
   width: 22px;
   height: 22px;
   background: #607d8b;
   opacity: .5;
}
main h3.wp-block-heading::after{
   top: 1.1em;
   left: .7em;
   width: 15px;
   height: 15px;
   background: #607d8b;
   opacity: .5;
}

.entry-content .wp-block-cover,
.entry-content .wp-block-cover-image {
  margin: 0 calc((100% - 100vw)/2) 1.5em;
  min-height: 600px;
  width: auto;
}

/* カバーブロックの画像がはみ出さないように強制 */
.wp-block-cover img.wp-block-cover__image-background {
    max-width: 100% !important;
    object-fit: cover; /* 枠内に収める設定 */
}

/* スマホで横スクロールが発生するのを防ぐ */
body {
    overflow-x: hidden;
}